Firebird News

Monday, February 23, 2009

building qt4.5 on jaunty

$ dget -x http://ftp.de.debian.org/debian/pool/main/q/qt4-x11/qt4-x11_4.5.0~rc1-2.dsc
$ cd qt4-x11-4.5.0~rc1/
$ debuild -i

I was missing some packages (check what you need on your system)
$ sudo apt-get install cdbs libcups2-dev libdbus-1-dev libiodbc2-dev libmng-dev libpam0g-dev libreadline5-dev libsqlite0-dev libtiff4-dev libxmu-dev libxslt1-dev libphonon-dev

$ debuild -i

$ ls -1 *.deb
libqt4-assistant_4.5.0~rc1-2_i386.deb
libqt4-core_4.5.0~rc1-2_i386.deb
libqt4-dbg_4.5.0~rc1-2_i386.deb
libqt4-dbus_4.5.0~rc1-2_i386.deb
libqt4-designer_4.5.0~rc1-2_i386.deb
libqt4-dev_4.5.0~rc1-2_i386.deb
libqt4-gui_4.5.0~rc1-2_i386.deb
libqt4-help_4.5.0~rc1-2_i386.deb
libqt4-network_4.5.0~rc1-2_i386.deb
libqt4-opengl_4.5.0~rc1-2_i386.deb
libqt4-opengl-dev_4.5.0~rc1-2_i386.deb
libqt4-qt3support_4.5.0~rc1-2_i386.deb
libqt4-script_4.5.0~rc1-2_i386.deb
libqt4-scripttools_4.5.0~rc1-2_i386.deb
libqt4-sql_4.5.0~rc1-2_i386.deb
libqt4-sql-ibase_4.5.0~rc1-2_i386.deb
libqt4-sql-mysql_4.5.0~rc1-2_i386.deb
libqt4-sql-odbc_4.5.0~rc1-2_i386.deb
libqt4-sql-psql_4.5.0~rc1-2_i386.deb
libqt4-sql-sqlite2_4.5.0~rc1-2_i386.deb
libqt4-sql-sqlite_4.5.0~rc1-2_i386.deb
libqt4-svg_4.5.0~rc1-2_i386.deb
libqt4-test_4.5.0~rc1-2_i386.deb
libqt4-webkit_4.5.0~rc1-2_i386.deb
libqt4-webkit-dbg_4.5.0~rc1-2_i386.deb
libqt4-xml_4.5.0~rc1-2_i386.deb
libqt4-xmlpatterns_4.5.0~rc1-2_i386.deb
libqt4-xmlpatterns-dbg_4.5.0~rc1-2_i386.deb
libqtcore4_4.5.0~rc1-2_i386.deb
libqtgui4_4.5.0~rc1-2_i386.deb
qt4-demos_4.5.0~rc1-2_i386.deb
qt4-designer_4.5.0~rc1-2_i386.deb
qt4-dev-tools_4.5.0~rc1-2_i386.deb
qt4-doc_4.5.0~rc1-2_all.deb
qt4-doc-html_4.5.0~rc1-2_all.deb
qt4-qmake_4.5.0~rc1-2_i386.deb
qt4-qtconfig_4.5.0~rc1-2_i386.deb


now i have the webkit for building arora and ibase library to access firebird

No comments: